## liac-arff 2.5.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/liac-arff.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/liac-arff.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/liac-arff"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/liac-arff"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## liac-arff 2.4.0

=== debian/changelog ===
liac-arff (2.4.0-2) unstable; urgency=medium

  * autopkgtest: fix Restriction -> Restrictions

 -- Christian Kastner <ckk@debian.org>  Thu, 06 Feb 2020 20:44:45 +0100

liac-arff (2.4.0-1) unstable; urgency=medium

  * Initial release. (Closes: #949594)

 -- Christian Kastner <ckk@debian.org>  Wed, 08 Jan 2020 08:14:02 +0100

=== debian/control ===
Source: liac-arff
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Christian Kastner <ckk@debian.org>,
Build-Depends:
    debhelper-compat (= 12),
    dh-python,
    python3-all,
    python3-setuptools,
    python3-mock,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/renatopp/liac-arff
Vcs-Git: https://salsa.debian.org/science-team/liac-arff.git
Vcs-Browser: https://salsa.debian.org/science-team/liac-arff

Package: python3-liac-arff
Architecture: all
Depends:
    ${misc:Depends},
    ${python3:Depends},
Description: library for reading and writing ARFF files in Python
 The liac-arff module implements functions to read and write ARFF files in
 Python. It was created in the Connectionist Artificial Intelligence
 Laboratory (LIAC), which takes place at the Federal University of Rio Grande
 do Sul (UFRGS), in Brazil.
 .
 ARFF (Attribute-Relation File Format) is an file format specially created for
 describing datasets which are used commonly for machine learning experiments
 and software. This file format was created to be used in WEKA, the best
 representative software for machine learning automated experiments.

=== debian/watch ===
version=4

opts="filenamemangle=s/.+\/v(\d\S*)\.tar\.gz/liac-arff-$1\.tar\.gz/" \
  https://github.com/renatopp/liac-arff/releases .*/v(\d\S*)\.tar\.gz

## liac-arff 2.5.0

=== debian/changelog ===
liac-arff (2.5.0-6) unstable; urgency=medium

  * Team upload.
  * Remove python3-mock dependency (Closes: #1069736)
  * Use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Sat, 29 Jun 2024 17:19:40 +0200

liac-arff (2.5.0-5) unstable; urgency=medium

  [ Yogeswaran Umasankar ]
  * Team upload.
  * Patch to fix AttributeError in tests with Python 3.12.
    (Closes: #1058229, #1061747)
  * Added 2024 copyright for debian/*.

  [ Andreas Tille ]
  * Add salsa-ci file (routine-update)
  * Add upstream metadata

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Sat, 03 Feb 2024 12:30:00 +0000

liac-arff (2.5.0-4) unstable; urgency=medium

  * d/s/options: Ignore .egg-info in diffs (Closes: #1048877)

 -- Christian Kastner <ckk@debian.org>  Tue, 15 Aug 2023 19:46:53 +0200

liac-arff (2.5.0-3) unstable; urgency=medium

  * Fix d/watch
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Bump copyright

 -- Christian Kastner <ckk@debian.org>  Sun, 18 Dec 2022 21:41:47 +0100

liac-arff (2.5.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Bump debhelper compatibility to 13

 -- Christian Kastner <ckk@debian.org>  Fri, 04 Mar 2022 20:13:52 +0100

liac-arff (2.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Limit python3-mock from nocheck build profile

 -- Christian Kastner <ckk@debian.org>  Sun, 13 Sep 2020 12:47:18 +0200

=== debian/control ===
--- 
+++ 
@@ -2,25 +2,20 @@
 Section: python
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders:
- Christian Kastner <ckk@debian.org>,
-Build-Depends:
-    debhelper-compat (= 12),
-    dh-python,
-    python3-all,
-    python3-setuptools,
-    python3-mock,
+Uploaders: Christian Kastner <ckk@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
+               python3-all,
+               python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/renatopp/liac-arff
 Vcs-Git: https://salsa.debian.org/science-team/liac-arff.git
 Vcs-Browser: https://salsa.debian.org/science-team/liac-arff
 
 Package: python3-liac-arff
 Architecture: all
-Depends:
-    ${misc:Depends},
-    ${python3:Depends},
+Depends: ${misc:Depends}, ${python3:Depends}
 Description: library for reading and writing ARFF files in Python
  The liac-arff module implements functions to read and write ARFF files in
  Python. It was created in the Connectionist Artificial Intelligence

=== debian/tests/control ===
Tests: unittests-default-python3
Depends: python3-liac-arff
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="filenamemangle=s/.+\/v(\d\S*)\.tar\.gz/liac-arff-$1\.tar\.gz/" \
  https://github.com/renatopp/liac-arff/tags .*/v(\d\S*)\.tar\.gz
